# Created by pyp2rpm-3.3.2
%global pypi_name whelk

Name:           python-%{pypi_name}
Version:        3.0
Release:        %mkrel 5
Summary:        Easy access to shell commands from python
Group:          Development/Python
License:        None
URL:            https://github.com/seveas/whelk
Source0:        https://files.pythonhosted.org/packages/source/w/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

# for docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(cloud-sptheme)

%description
We all like python for scripting, because it's so much more powerful than
a shell. But sometimes we really need to call a shell command because it's
so much easier than writing yet another library in python or adding a
dependency.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
We all like python for scripting, because it's so much more powerful than
a shell. But sometimes we really need to call a shell command because it's
so much easier than writing yet another library in python or adding a
dependency.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files whelk

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%doc html


%changelog
* Sun Mar 02 2025 wally <wally> 3.0-5.mga10
+ Revision: 2156318
- rebuild for python3.13

* Sat Dec 16 2023 papoteur <papoteur> 3.0-4.mga10
+ Revision: 2018472
- rebuild for python3.12
- rebuild for python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 3.0-2.mga9
+ Revision: 1833271
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 3.0-1.mga9
+ Revision: 1780072
- version 3.0
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.7.1-7.mga9
+ Revision: 1732898
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.7.1-6.mga8
+ Revision: 1533981
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 2.7.1-5.mga8
+ Revision: 1446287
- rebuild for python3.8
- drop python2 support

* Sun Aug 25 2019 wally <wally> 2.7.1-4.mga8
+ Revision: 1431913
- update descriptions
- move html docs to python2 and python3 pkgs

* Tue Jan 08 2019 tv <tv> 2.7.1-3.mga7
+ Revision: 1351970
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 2.7.1-2.mga7
+ Revision: 1290568
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 shlomif <shlomif> 2.7.1-1.mga7
+ Revision: 1246481
- Add BRs
- pyp2rpm

